import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ErrorsComponent } from './errors.component';
import { E404Component } from './e404/e404.component';
import { E500Component } from './e500/e500.component';

const routes: Routes = [
  {
    path: '',
    component: ErrorsComponent,
    children: [
      { path: '404', component: E404Component },
      { path: '500', component: E500Component },
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ErrorsRoutingModule { }
